aboutsummaryrefslogtreecommitdiffstats
path: root/resources/tools/presentation_new/run_cpta.sh
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2018-12-10 12:35:21 +0100
committerTibor Frank <tifrank@cisco.com>2018-12-13 12:29:06 +0000
commit22cd7ebc075483d2977393429260df818072fa52 (patch)
treefe3e550b2541b76b17146a379596fd3be49da77b /resources/tools/presentation_new/run_cpta.sh
parent9b51f36d4ad4d5364d010a32e4e3df0e5c695e9d (diff)
Trending: New sensitive detection
This enables PAL to consider burst size and stdev when detecting anomalies. Currently added as a separate presentation_new directory, so the previous detection is still available by default. TODO: If the state with two detections persists for some time, create a script for generating presentation_new/ (from presentation/) to simplify maintenance. Change-Id: Ic118aaf5ff036bf244c5820c86fa3766547fa938 Signed-off-by: Vratko Polak <vrpolak@cisco.com>
Diffstat (limited to 'resources/tools/presentation_new/run_cpta.sh')
-rwxr-xr-xresources/tools/presentation_new/run_cpta.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/resources/tools/presentation_new/run_cpta.sh b/resources/tools/presentation_new/run_cpta.sh
new file mode 100755
index 0000000000..954f17d53c
--- /dev/null
+++ b/resources/tools/presentation_new/run_cpta.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+set -x
+
+# set default values in config array
+typeset -A DIR
+
+DIR[WORKING]=_tmp
+
+# Install system dependencies
+sudo apt-get -y update
+sudo apt-get -y install libxml2 libxml2-dev libxslt-dev build-essential \
+ zlib1g-dev unzip
+
+# Create working directories
+mkdir ${DIR[WORKING]}
+
+# Create virtual environment
+virtualenv ${DIR[WORKING]}/env
+. ${DIR[WORKING]}/env/bin/activate
+
+# Install python dependencies:
+pip install -r requirements.txt
+
+export PYTHONPATH=`pwd`
+
+STATUS=$(python pal.py \
+ --specification specification_CPTA.yaml \
+ --logging INFO \
+ --force)
+RETURN_STATUS=$?
+
+echo ${STATUS}
+exit ${RETURN_STATUS}